RHEL 6.5 to 6.4 downgrade error

Yordan Georgiev asked:

I was following a RHEL solution about the downgrade, which went as follows:

  1. Check version and releases
  2. search for the available packages

    yum list kernel-2.6.32-358*

  3. Install the rhel 6.4 kernel package yum install kernel-2.6.32-358.23.2.el6
    …. Complete !
  4. Reboot system
  5. Clean up

    yum clean metadata
    yum clean all

  6. Now downgrade

    yum -y downgrade redhat-release

  7. I get the following error
    Downloading Packages:
    https://cdn.redhat.com/content/dist/rhel/server/6/6Server/x86_64/os/Packages/redhat-release-server-6Server-6.4.0.4.el6.x86_64.rpm: [Errno 14] PYCURL ERROR 22 – “The requested URL returned error: 404 Not Found”
    Trying other mirror.

The current 6.5 is clean install not upgrade and I was not able to find a way to configure 6.4 repositories … Also the changes in any of the grub files :
/boot/efi/EFI/redhat/grub.conf
/etc/grub.conf
/etc/grub.conf.rpmsave

and reboot according to this instruction do to cause the server to boot into 6.4 ‘s kernel … and it did not work neither …

Search for loading of the kernel without reboot , yet it seemed too risky …
This hack gave just before the latest command EFI related errors , so did not apply it ( do not want to go to the data center … yet … )

So after some 5 hours of googling the following questions arose:
When one buys RHEL 6.5 subscriptions is it the case that downgrade is not even possible
or
Is it possible, but first RHEL 6.4 repos must be configured ( how ?! Should RH Customer Support be contactd ?! )

and am I completely lost about some fundamentally basic link missing to resolve this issue ?!

Thanks in advance !!!

My answer:


Running anything other than the latest release of your major version of Red Hat Enterprise Linux is not supported unless you have also purchased an Extended Update Support subscription for the server.

You can set your preferred release level using the subscription-manager tool. There is no supported way of doing this if you registered with the legacy RHN.

[root#server ~]# subscription-manager release --set=6.4
[root#server ~]# yum distro-sync

View the full question and answer on Server Fault.

Creative Commons License
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.